Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  NUR 1 Linie aus Block entfernen?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   NUR 1 Linie aus Block entfernen? (482 mal gelesen)

Ex-Mitglied

erstellt am: 09. Feb. 2006 13:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

Hallo,
wie kann ich aus einem Block nur 1 Linie löschen, ohne den Block aufzulösen?

Danke! 
-Manu-

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 09. Feb. 2006 13:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

mit _refedit

oder einem
(vla-delete(vlax-ename->vla-object(car(nentsel))))
in der Befehlszeile mit anschließendem _regen
------------------
  - Thomas -
"Du bist einen uns unbekannten Weg in eine andere Form des Seins gegangen. - Wir sehen uns wieder in deinem Paradies! - Tschüß Axel.."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 09. Feb. 2006 14:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

tut mir leid, aber ich krieg das nicht hin...
ich muß vielleicht dazu sagen, daß ich einen block aus einem programm einfüge, und aus diesem block muß ich eine linie löschen.
ist also keine externe referenz...

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 09. Feb. 2006 14:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Und in deinem Profil steht AutoCAD LT, leider gibt es dort den Befehl REFEDIT nicht. Auch steht kein LISP zur Verfügung, so dass die Lisp-Code hier auch nicht hilft.
Wenn _URSPRUNG nicht benutzt werden soll, geht eingetlich nur WBLOCK <name der betr. Blockref.> in Datei, Dann Datei Öffnen, Linien Löschen und danach mit EINFÜGE aus Datei mit Def. ersetzen wieder Einfügen.
Ist aber in etwa das Gleiche, wie URSPRUNG und danach wieder zu einem Block zusammen zu fassen.

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

asatt
Mitglied
bautechniker / admin / gis-techniker


Sehen Sie sich das Profil von asatt an!   Senden Sie eine Private Message an asatt  Schreiben Sie einen Gästebucheintrag für asatt

Beiträge: 65
Registriert: 07.03.2005

erstellt am: 09. Feb. 2006 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

doppelklick auf den block (zumindest ab acad2002), auf ok klicken, dann linie löschen, refedit wieder beenden (rechtes symbol auf der neu erschienenen symbolleiste) und dann nochmal auf ok klicken.
so einfach is es.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 09. Feb. 2006 14:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Genau, in LT würde man die Blockreferenz kopieren,
sich den Basispunkt merken (falls markant) oder besser
die Blockreferenz/Basispunkt auf den Endpunkt einer
Linie setzen o.ä. <Hauptsache merken..>

Dan URSPRUNG anwenden, Linie entfernen, und mit ATTREDEF
den Block wieder NEU DEFINIEREN (Vorlage-Objekte werden
gelöscht dabei, also nicht ersetz/umgewandelt)

[ATTREDEF statt BLOCK, falls dabei auch mal Variable
Attribute geändert werden sollen.. ansonsten geht auch "BLOCK"]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 09. Feb. 2006 14:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

.. wenn man LT hat, kann man dann nicht auch im LT-Forum posten ?

------------------
- Thomas -
"Du bist einen uns unbekannten Weg in eine andere Form des Seins gegangen. - Wir sehen uns wieder in deinem Paradies! - Tschüß Axel.."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 09. Feb. 2006 15:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

Entschuldigung, ich wußte nicht, daß die Unterschiede zu LT so riesengroß sind...zumindest wurde mir das nicht gesagt.
Ich werde dort nachfragen...

g.r
Mitglied
Beruf? Ja! Ausbildung: auch!!


Sehen Sie sich das Profil von g.r an!   Senden Sie eine Private Message an g.r  Schreiben Sie einen Gästebucheintrag für g.r

Beiträge: 603
Registriert: 06.07.2005

ACA 2010
Scaleo, AMD Athlon64 DC4600+
acer Aspire 8930 4C 4GB
VISTA Ultimate
HP 750C
AMD Athlon, W2k

erstellt am: 10. Feb. 2006 08:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von PBM :
Entschuldigung, ich wußte nicht, daß die Unterschiede zu LT so riesengroß sind...zumindest wurde mir das nicht gesagt.
Ich werde dort nachfragen...

Hallo Manu, eigentlich nicht mehr nötig. Die Antwort von cadffm ist, für deine technischen Möglichkeiten, der beste und auch schnellste Weg.
Da wüsste ich nichts besseres.
Gruß günter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Konstrukteur (m/w/d) für Triebwerkstechnik und Gasturbinen
Technische Projekte, die es in sich haben. Das ist FERCHAU. Als Marktführer in Engineering und IT bieten wir unseren mehr als 8.260 Mitarbeitern an über 100 Niederlassungen und Standorten innovative Herausforderungen in den unterschiedlichsten Branchen - einfach die ganze Welt des Engineerings. Sind auch Sie bereit, mit uns gemeinsam neue Wege zu gehen? Dann ergreifen Sie Ihre Chance bei FERCHAU und geben Sie Ihrer Zukunft die entscheidende Richtung....
Anzeige ansehenKonstruktion, Visualisierung
CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 10. Feb. 2006 15:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zur Ergänzung der guten Anleitung von cadffm nur eine Anmerkung:
ich würde eine vorhandene Blockreferenz nicht kopieren, sondern neu einfügen. Wird die Blockreferenz kopiert, muss auf jeden Fall geprüft werden, ob der X,Y, Z Faktor auf 1 steht und der Drehwinkel auf 0, sonst siehts hinter irgendwie anders aus.

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz